Get Product Draft
Retrieves the draft changeset and metadata for a specific product, including the scheduled publication time if set.
GET
/api/v1/{team_slug}/{app_slug}/products/{product_id}/draftAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
product_idstringrequiredProduct ID
Responses
200
Draft retrieved successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftrequiredShow propertiesHide properties
app_idstringchangesetgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftChangesetShow propertiesHide properties
attributesstring[]categoriesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRef[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRefidstringis_main_categorybooleanorderintegercollectionsstring[]descriptionstringhtml_descriptionstringhtml_short_descriptionstringimagesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRef[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRefidstringpriorityintegermeta_descriptionstringmeta_titlestringnamestringshort_descriptionstringtagsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRef[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRefkeystringorderintegercreated_atstringidstringproduct_idstringpublish_atstring | nullupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
No draft found for this product
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired